package file

import (
	"github.com/gin-gonic/gin"
	"github.com/perfect-panel/server/internal/logic/public/file"
	"github.com/perfect-panel/server/internal/svc"
	"github.com/perfect-panel/server/internal/types"
	"github.com/perfect-panel/server/pkg/result"
)

// Complete file upload
func FileUploadCompleteHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
	return func(c *gin.Context) {
		var req types.FileUploadCompleteRequest
		_ = c.ShouldBind(&req)
		validateErr := svcCtx.Validate(&req)
		if validateErr != nil {
			result.ParamErrorResult(c, validateErr)
			return
		}

		l := file.NewFileUploadCompleteLogic(c.Request.Context(), svcCtx)
		resp, err := l.FileUploadComplete(&req)
		result.HttpResult(c, resp, err)
	}
}
